#
# spec file for package python-wtf-peewee
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-wtf-peewee
Version:        3.0.5
Release:        1.4
Summary:        WTForms integration for peewee models
License:        MIT
URL:            https://github.com/coleifer/wtf-peewee/
Source:         https://files.pythonhosted.org/packages/source/w/wtf-peewee/wtf-peewee-%{version}.tar.gz
BuildRequires:  %{python_module WTForms}
BuildRequires:  %{python_module peewee >= 3.0.0}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  %{pythons}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-WTForms
Requires:       python-peewee >= 3.0.0
BuildArch:      noarch
%python_subpackages

%description
wtf-peewee provides a bridge between peewee models and wtforms, mapping
model fields to form fields.

%prep
%autosetup -p1 -n wtf-peewee-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pyunittest -v

%files %{python_files}
%doc README.md
%license LICENSE
%{python_sitelib}/wtfpeewee/
%{python_sitelib}/wtf_peewee-%{version}*-info

%changelog
* Fri Dec 29 2023 Dirk Müller <dmueller@suse.com>
- udpate to 3.0.5:
  * Workaround for backwards-incompatible clown change in wtforms
    3.1.0
* Sat Apr 16 2022 Matej Cepl <mcepl@suse.com>
- Update to 3.0.4:
  - includes changes I have introduced in the patches, which can
    now be removed:
  - fix_test_choices.patch
  - no-extra_filters.patch
* Sat Apr 16 2022 Matej Cepl <mcepl@suse.com>
- Update to 3.0.3:
  - Peewee version requirements.
  - TextField is depreciated, use StringField instead
  - Required is depreciated, use DataRequired instead
  - Fix ordering of timestampfield.
  - Try using InputRequired() which accepts false-looking values.
  - Better default validation behavior, esp in presence of
    choices.
  - optional if 1) null=True or 2) has a default value or 3) can
    be blank…
  - fixed tests
  - Indicate python3 compatible in setup.py
  - Fix old peewee reference.
  - Small tweaks.
  - Update app.py
  - Fix failing test on wtforms 2.3.3
  - Replace travis-ci with github actions for CI.
  - Add compatibility shim for deprecation of HTMLString.
- Add patches dealing with incompabilities of the test suite:
  - fix_test_choices.patch dealing with compatibility issues with
    WTForms >= 3.0.0 (gh#coleifer/wtf-peewee#57)
  - no-extra_filters.patch adding missing parameter of
    WPDateTimeField.process (gh#coleifer/wtf-peewee#58)
* Sat Mar 14 2020 Tomáš Chvátal <tchvatal@suse.com>
- Fix building without python2 available
* Thu Oct 25 2018 alarrosa@suse.com
- BuildRequire python2 in SLE12/Leap 42.x so tests pass correctly
- Remove test bcond and always enable tests inconditionally
- Be more explicit in the filelist
* Fri Sep 21 2018 Antonio Larrosa <alarrosa@suse.com> - 3.0.0
- Initial release of python-wtf-peewee 3.0.0
